summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Thorn Inurcide2014-04-16 02:17:14 +0200
committer Willy Sudiarto Raharjo2014-04-23 02:51:28 +0200
commit7c81db22dc44177a42575bb24882bc122421403c (patch)
tree06864061217fc5025c644bcde9f8eb9fb0a86a65 /multimedia
parent17f9841515925954df9a486f04baa79daa0baa97 (diff)
downloadslackbuilds-7c81db22dc44177a42575bb24882bc122421403c.tar.gz
multimedia/gmtp: Added (A basic MTP client).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/gmtp/README16
-rw-r--r--multimedia/gmtp/doinst.sh9
-rw-r--r--multimedia/gmtp/gmtp.SlackBuild105
-rw-r--r--multimedia/gmtp/gmtp.info10
-rw-r--r--multimedia/gmtp/slack-desc19
5 files changed, 159 insertions, 0 deletions
diff --git a/multimedia/gmtp/README b/multimedia/gmtp/README
new file mode 100644
index 0000000000..413b69a8d6
--- /dev/null
+++ b/multimedia/gmtp/README
@@ -0,0 +1,16 @@
+A basic MTP client.
+
+Supports MTP devices including those with multiple storage devices
+(typically mobile phones). Supports Drag'n'Drop interface for
+upload/download of files.
+
+This Doesnt pick up my Device(Droid Ultra) as normal user, so I use gksu
+to launch it and it works great. Xfsudo works as well. It may or may not
+detect your device as normal user, I have no idea and I make no promises.
+
+This package is built with gtk2 but the default is gtk3,
+if you would like gtk3, simply delete or comment out the line
+--with-gtk2
+from within the SlackBuild script under the configure flags.
+
+There is a FAQ inside the source tarball in the README.
diff --git a/multimedia/gmtp/doinst.sh b/multimedia/gmtp/doinst.sh
new file mode 100644
index 0000000000..6fa145a19f
--- /dev/null
+++ b/multimedia/gmtp/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/glib-2.0/schemas ]; then
+ if [ -x /usr/bin/glib-compile-schemas ]; then
+ /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
+ fi
+fi
diff --git a/multimedia/gmtp/gmtp.SlackBuild b/multimedia/gmtp/gmtp.SlackBuild
new file mode 100644
index 0000000000..fc4a378a47
--- /dev/null
+++ b/multimedia/gmtp/gmtp.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+# Generated by Alien's SlackBuild Toolkit: http://slackware.com/~alien/AST
+# Copyright 2009, 2010, 2011, 2012, 2013, 2014 Eric Hameleers, Eindhoven, Netherlands
+
+# Slackware build script for gmtp
+
+# Based on http://slackbuilds.org/template.SlackBuild
+
+# Copyright 2014 Thorn Inurcide United States
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gmtp
+VERSION=${VERSION:-1.3.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-gtk2 \
+ --disable-schemas-compile \
+ --disable-schemas-install \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS COPYING ChangeLog README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/gmtp/gmtp.info b/multimedia/gmtp/gmtp.info
new file mode 100644
index 0000000000..834959d7da
--- /dev/null
+++ b/multimedia/gmtp/gmtp.info
@@ -0,0 +1,10 @@
+PRGNAM="gmtp"
+VERSION="1.3.6"
+HOMEPAGE="http://gmtp.sourceforge.net/"
+DOWNLOAD="http://softlayer-dal.dl.sourceforge.net/project/gmtp/gMTP-1.3.6/gmtp-1.3.6.tar.gz"
+MD5SUM="e00439b6347fd092cf1caa9c1ef9f751"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Thorn Inurcide"
+EMAIL="thorn-inurcide@hotmail.com"
diff --git a/multimedia/gmtp/slack-desc b/multimedia/gmtp/slack-desc
new file mode 100644
index 0000000000..c0298cd79a
--- /dev/null
+++ b/multimedia/gmtp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gmtp: gmtp (A basic MTP client)
+gmtp:
+gmtp: Supports MTP devices including those with multiple storage devices
+gmtp: (typically mobile phones). Supports Drag'n'Drop interface
+gmtp: for upload/download of files.
+gmtp:
+gmtp:
+gmtp:
+gmtp:
+gmtp:
+gmtp: Home: http://gmtp.sourceforge.net/